Subject: [Sipping] RE: [Sip] Sending SOAP over SIP

From: "Neil Deason" <[email-masked]>
Date: Tue, 14 May 2002 09:57:46 +0100

[Moved to SIPPING list from SIP]

> -----Original Message-----
> From: [email-masked] [mailto:[email-masked]]On Behalf Of
> [email-masked]
> Sent: 13 May 2002 17:24
> To: [email-masked]
> Subject: [Sip] Sending SOAP over SIP
>
> 	Thanks in advance.
>
> 	To send SOAP over HTTP, the tag 'SOAPAction' is sent in
> the HTTP headers when sending SOAP requests to identify the
> intent of the request. This header can be used by the
> Firewalls and Proxies to filter the SOAP Message. In HTTP
> this field is defined as mandatory, so the client MUST
> include this field in the HTTP header when sending a SOAP
> message. SOAP can be sent over HTTP as a
> ContentType=text/xml, and over SIP with the same content type.

SOAPAction is a feature of the HTTP specific binding
for the transport of SOAP. So it is not an inevitability
that any binding for SIP should support it. Indeed the
WSDL spec says:

"For other SOAP protocol bindings, it [SOAPAction] MUST
NOT be specified".

Do you have a particular case in mind where you think
it would be required in SIP?

> 	In SIP, to allow the appropiate filtering by proxies
> there should be defined a SOAPAction field as mandatory in
> the client request. Do you think if there is something
> defined regarding this ?

Nothing is presently defined. You could be add it as an
extension header of course. Note you will need to accept
the IESG implications that the protocol you are then
using is no longer "SIP".

> 	Another option to let the proxies identify that a SOAP
> message is inside the SIP message would be to define a
> ContentType=text/soap+xml, but I think that this is not
> defined currently in IANA.

This is an option - although you are in the grey area
of whether this is a 'proxy' as it is not treating
payloads opaquely.

BTW -
http://www.ietf.org/internet-drafts/draft-baker-soap-media-reg-00.txt
proposes the use of Content-Type "application/xml+soap".

> 	Note that I am trying to avoid the use of a proprietary
> format, but I am pointing a general format of sending SOAP
> over SIP. And also, I am referring to individual sessionless
> calls, including the SOAP code in a single SIP call, not
> using a SIP call to establish a session (INVITE) and
> afterwards send a message using HTTP.
> Use [email-masked] for new developments on the application of sip

Hmmm sounds familiar. Long since expired, but archived
in various places:

http://www.cs.columbia.edu/~hgs/sip/drafts/draft-deason-sip-soap-00.txt

Also implemented by certain well known large vendors, or so
I am lead to believe. Does anyone want this revived?

Using SIP as a transport for SOAP can lead to problems with
large messages or lots of messages because of the potential
for SIP to use UDP as an underlying transport protocol. This
leads me to feel that a better alternative for the coexistence
of SIP and SOAP is to use SIP to set up sessions of SOAP
messages run over IMTP.

http://www.ietf.org/internet-drafts/draft-deason-sipping-soap-sessions-0
0.txt

Cheers,
Neil.
--
Neil Deason                             303 Twin Dolphin Drive
Ubiquity Software Corporation           Suite 600
http://www.ubiquity.net                 Redwood City
[email-masked]                    CA 94065
                                        USA

_______________________________________________
Sipping mailing list  https://www1.ietf.org/mailman/listinfo/sipping
This list is for NEW development of the application of SIP
Use [email-masked] for questions on current sip
Use [email-masked] for new developments of core SIP